# Daily Planner in LaTeX

Current version: 1.0.0

## New in version 1.0.0

This is a new daily, single-sided version of my daily planner. 

I've moved this to a different project because it has gradually evolved from showing an entire week on two pages to now showing a single day per page. Additionally, this version is also designed to be printed single-sided, to make it easy to fill out and complete when it is in a three-ring binder. 

This version also includes a bit of a kludge to get around issues with LaTeX running out of memory when compiling such a large document. 

This document makes use of the [forloop](https://ctan.org/pkg/forloop?lang=en) package to create 54 weeks, sequentially numbered. However, as my computer only has 6 gigabytes of RAM, LaTeX runs out of memory. My solution has been to compile this document twice, resetting the page number during the second compilation. The relevant lines are these:

```
%\setcounter{page}{203}

\forloop{ct}{1}{\value{ct}<26}{
```

Compiling this document once produces a pdf titled "planner_daily_vertical.pdf" which contains the first half of the year. I then change the title of that document using `$ mv planner_daily_vertical.pdf 2025-1.pdf`. I then uncomment the `setcounter` command, and change the beginning and ending values of the `forloop` command.

```
\setcounter{page}{203}

\forloop{ct}{26}{\value{ct}<54}{
```

Recompiling the document produces another pdf document, this time containing the second half of the year. (It's not pretty, but it works.)

## Background

For background information, see my [Planner in LaTeX](https://git.kjodle.net/kjodle/planner-in-latex).


<a rel="license" href="http://creativecommons.org/licenses/by-nc-sa/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc-sa/4.0/88x31.png" /></a><br /><span xmlns:dct="http://purl.org/dc/terms/" property="dct:title">Planner in LaTeX</span> by <a xmlns:cc="http://creativecommons.org/ns#" href="https://git.kjodle.net/kjodle/daily-planner" property="cc:attributionName" rel="cc:attributionURL">Kenneth John Odle</a> is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-nc-sa/4.0/">Creative Commons Attribution-NonCommercial-ShareAlike 4.0 International License</a>.<br />Based on a work at <a xmlns:dct="http://purl.org/dc/terms/" href="https://git.kjodle.net/kjodle/daily-planner" rel="dct:source">https://git.kjodle.net/kjodle/daily-planner</a>.

The license above means that you are free to fork this work and adapt it to your own needs, and you are free to share your adaption with others, with the following two provisions:
* You are not allowed to sell it.
* You must attribute the original work to me, by providing a link back to this page.

For more information, visit the Creative Commons page listed above.
